Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class SubjectKeyIdentifier

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.SubjectKeyIdentifier

All Implemented Interfaces:
  DEREncodable

Direct Known Subclasses:
  SubjectKeyIdentifierStructure

public class SubjectKeyIdentifier
extends ASN1Encodable

The SubjectKeyIdentifier object.

     SubjectKeyIdentifier::= OCTET STRING

Constructor Summary
`SubjectKeyIdentifier(ASN1OctetString keyid)`
`SubjectKeyIdentifier(byte[] keyid)`
`SubjectKeyIdentifier(SubjectPublicKeyInfo spki)` Calulates the keyidentifier using a SHA1 hash over the BIT STRING from SubjectPublicKeyInfo as defined in RFC2459.

Method Summary
`static SubjectKeyIdentifier` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static SubjectKeyIdentifier` | `getInstance(java.lang.Object obj)`
`byte[]` | `getKeyIdentifier()`
`DERObject` | `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectKeyIdentifier

    public SubjectKeyIdentifier(byte[] keyid)

### SubjectKeyIdentifier

    public SubjectKeyIdentifier(ASN1OctetString keyid)

### SubjectKeyIdentifier

    public SubjectKeyIdentifier(SubjectPublicKeyInfo spki)

  Calulates the keyidentifier using a SHA1 hash over the BIT STRING from SubjectPublicKeyInfo as defined in RFC2459.

Method Detail

### getInstance

    public static SubjectKeyIdentifier getInstance(ASN1TaggedObject obj,
                                                   boolean explicit)

### getInstance

    public static SubjectKeyIdentifier getInstance(java.lang.Object obj)

### getKeyIdentifier

    public byte[] getKeyIdentifier()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD